server:
  port: 8097
#redis 多DB配置
redis:
  host: 192.168.1.181
  port: 6379
  password: kaixinjiuhao
  timeout: 30000
  pool:
    max-total: 200  # 连接池最大连接数（使用负值表示没有限制）
    max-wait: -1  # 连接池最大阻塞等待时间（使用负值表示没有限制）
    max-idle: 8   # 连接池中的最大空闲连接
    min-idle: 1   # 连接池中的最小空闲连接
    timeout: 30000  # 连接超时时间（毫秒）
spring:
  #  elasticsearch:
  #    bboss:
  #      dslfile:
  #        refreshInterval: -1
  #      elasticPassword:
  #      elasticUser:
  #      elasticsearch:
  #        dateFormat: yyyy.MM.dd
  #        discoverHost: false
  #        rest:
  #          hostNames: 192.168.1.186:9200
  ##        showTemplate: true
  #        showTemplate: false
  #        timeZone: Asia/Shanghai
  #        ttl: 2d
  #      http:
  #        connectionRequestTimeout: 50000
  #        defaultMaxPerRoute: 200
  #        hostnameVerifier: ''
  #        keepAlive: 3600000
  #        keyPassword: ''
  #        keystore: ''
  #        maxHeaderCount: 200
  #        maxLineLength: -1
  #        maxTotal: 400
  #        retryTime: 1
  #        soKeepAlive: false
  #        soReuseAddress: false
  #        timeToLive: 3600000
  #        timeoutConnection: 50000
  #        timeoutSocket: 50000
  mqtt:
      username: intellectual             # 账号
      password: xiaoqu2022            # 密码
      host-url: tcp://192.168.1.182:1883         # mqtt连接tcp地址
      client-id: xiaoqu-intellectual-task             # 客户端Id，每个启动的id要不同
#     default-topic: upload_1           # 默认主题
      timeout: 1000              # 超时时间
      keepalive: 100              # 保持连接数
  datasource:
    type: com.alibaba.druid.pool.DruidDataSource
    db1:
      url: jdbc:mysql://192.168.1.181:3306/xiaoqu_comples_d?useUnicode=true&characterEncoding=UTF-8&useSSL=false&serverTimezone=Asia/Shanghai&allowMultiQueries=true
      username: root
      password: kaixinjiuhao
      driver-class-name: com.mysql.cj.jdbc.Driver

    db2:
      url: jdbc:mysql://192.168.1.181:3306/xiaoqu_intellectual_d?useUnicode=true&characterEncoding=UTF-8&useSSL=false&serverTimezone=Asia/Shanghai&allowMultiQueries=true
      username: root
      password: kaixinjiuhao
      driver-class-name: com.mysql.cj.jdbc.Driver
    druid:
      filters: stat,wall,log4j
      # 通过connectProperties属性来打开mergeSql功能；慢SQL记录
      connection-properties: druid.stat.mergeSql=true;druid.stat.slowSqlMillis=5000
      # 合并多个DruidDataSource的监控数据
      useGlobalDataSourceStat: true
      # 连接池配置
      max-active: 100
      initial-size: 10
      max-wait: 60000
      min-idle: 5
      pool-prepared-statements: true
      max-open-prepared-statements: 20
      #在空闲连接回收器线程运行期间休眠的时间值,以毫秒为单位，一般比minEvictableIdleTimeMillis小
      time-between-eviction-runs-millis: 60000
      #连接池中连接，在时间段内一直空闲，被逐出连接池的时间(1000*60*60)，以毫秒为单位
      min-evictable-idle-time-millis: 300000

      # 连接有效性检测
      test-while-idle: true
      test-on-borrow: false
      test-on-return: false
      validation-query: SELECT 1

mybatis-plus:
  configuration:
    #   配置返回数据库(column下划线命名&&返回java实体是驼峰命名)，自动匹配无需as（没开启这个，SQL需要写as： select user_id as userId）
    map-underscore-to-camel-case: true
    auto-mapping-behavior: full
    #    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
    log-impl: org.apache.ibatis.logging.log4j.Log4jImpl
  #  mapper-locations: classpath*:mapper/**/*Mapper.xml
  global-config:
    # 逻辑删除配置
    db-config:
      # 删除前
      logic-not-delete-value: 0
      # 删除后
      logic-delete-value: 1
# 短信发送配置
smsUserName: xiaoquadvise
smsPassword: 541500
smsUrl: http://www.rdsmsvip.com:3077/Platform_Http_Service/servlet/SendSms
smsSign: 【小趣智品】你的验证码是code,有效期是2分钟
xxl:
  job:
    accessToken: ''
    admin:
      addresses: http://192.168.1.182:7080/xxl-job-admin
    executor:
      address: ''
      appname: xiaoqu-intellectual-task
      ip: ''
      logpath: /data/applogs/xiaoqu-intellectual-xxl-job/jobhandler
      logretentiondays: 30
      port: 9996

getui:
  #  appId: xOz8D11yhk5PXPo62Or6W2
  #  appSecret: zFrU26Tzbm9gSP5rHYDo9A
  #  appKey: V2u3Z9FZce7As9cUgFsCW7
  #  masterSecret: maip9e0W3e9s273OLalVk2
  appId: FKdHoHYwTBAueIYaxd9iF6
  appSecret: LPQ6T3GpcO8M8KgwfwFiX8
  appKey: WugTErL1CC6kIw41x2GL86
  masterSecret: 1i8olWQqcv9hDXfFdBqRW9